import React from 'react'
import moment from 'moment'

import {Button} from "antd-mobile";

import {_Bridge} from "../components"

export default class extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            result: null
        }
    }

    doFunc = async (options)=> {
        this.setState({result: null}, async ()=>{
            const result = await _Bridge.getToken(options);
            this.setState({result: result})
        })
    };

    render() {
        return (
            <div>
                <h1 style={{textAlign: "center"}}>百度AI</h1>
                <div style={{padding: 20}}>
                    <Button
                        style={{marginBottom: 20}}
                        onClick={async ()=>{
                            try {
                                const result = await _Bridge.liveDetect({
                                });
                                _Bridge.alertDialog("认证结果", result)
                            } catch (e) {
                                await _Bridge.alertDialog({title: "发生错误", e})
                            }

                        }}
                    >人脸活体验证</Button>

                    <Button
                        style={{marginBottom: 20}}
                        onClick={async ()=>{
                            try {
                                const frontData = await _Bridge.takeIdCard({
                                    front: true,
                                });
                                await _Bridge.alertDialog({
                                    title: "正面信息",
                                    description: frontData
                                });

                                const backData = await _Bridge.takeIdCard({
                                    front: false,
                                });
                                await _Bridge.alertDialog({
                                    title: "背面信息",
                                    description: backData
                                });

                            } catch (e) {
                                await _Bridge.alertDialog({title: "发生错误", e})
                            }
                        }}
                    >识别身份证</Button>

                    <Button
                        style={{marginBottom: 20}}
                        onClick={async ()=>{
                            try {
                                const result = await _Bridge.scanCarNo({
                                });
                                await _Bridge.alertDialog({
                                    title: "识别结果",
                                    description: result
                                });
                            } catch (e) {
                                await _Bridge.alertDialog({title: "发生错误", e})
                            }

                        }}
                    >识别车牌</Button>

                    <Button
                        style={{marginBottom: 20}}
                        onClick={async ()=>{
                            try {
                                const result = await _Bridge.scanCarNo({
                                });
                                await _Bridge.alertDialog({
                                    title: "识别结果",
                                    description: result
                                });
                            } catch (e) {
                                await _Bridge.alertDialog({title: "发生错误", e})
                            }

                        }}
                    >识别营业执照</Button>
                </div>
            </div>
        );
    }
};

