import React from 'react'
import moment from 'moment'

import {Button} from "antd-mobile";

import {_Bridge} from "../components"

export default class extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            result: null
        }
    }

    doFunc = async (options)=> {
        this.setState({result: null}, async ()=>{
            const result = await _Bridge.getToken(options);
            this.setState({result: result})
        })
    };

    render() {
        return (
            <div>
                <h1 style={{textAlign: "center"}}>百度AI</h1>
                <div style={{padding: 20}}>
                    <Button
                        style={{marginBottom: 20}}
                        onClick={()=>{
                            _Bridge.alertDialog({
                                title: "信息提示",
                                description: "信息提示信息提示信息提示信息提示"
                            })
                        }}
                    >信息提示对话框</Button>

                    <Button
                        style={{marginBottom: 20}}
                        onClick={async ()=>{
                            try {
                                const result = await _Bridge.confirmDialog({
                                    title: "信息确认",
                                    description: "信息确认信息确认信息确认信息确认信息确认信息确认"
                                });
                                alert(result);
                            } catch (e) {
                                await _Bridge.alertDialog({title: "发生错误", e})
                            }

                        }}
                    >信息确认对话框</Button>

                    <Button
                        style={{marginBottom: 20}}
                        onClick={async ()=>{
                            try {
                                const result = await _Bridge.inputDialog({
                                    title: "请输入文本",
                                });
                                alert(result);
                            } catch (e) {
                                await _Bridge.alertDialog({title: "发生错误", e})
                            }

                        }}
                    >信息输入对话框</Button>

                </div>
            </div>
        );
    }
};

